Page 1 of 2

firefox 3.0.1 add ons [Solved]

Posted: Sun Sep 07, 2008 18:53
by carpenterguy
Is it just me or are others having problems downloading firefox add ons? I am looking for something to save youtube videos, takes forever to start the download an always end up with the error below. I have searched the firefox how to's for the the error and tried their fixes with no luck. All else seems to work perfect.
Using 3.5 CD version, with kde. Any suggestions?

stahttps://addons.mozilla.org/en-US/firefox/downloads/file/34258/stumbleupon-3.26-fx+mz+sm.xpi

because: Download error
-228

Re: firefox 3.0.1 add ons

Posted: Mon Sep 08, 2008 1:59
by wolfden
plugins are working fine here, make sure the plugin is for your version of firefox

Still no go

Posted: Thu Sep 11, 2008 2:02
by carpenterguy
I have been careful to pick compatible add ons, checked the cache, firewall turned off. I uninstalled firefox and re installed, updated repositories which then updated the new firefox.
I cant install any pluggins,add ons or themes.
I used spritz to uninstall firefox and question if it did a adequate job, since when I re installed, I had all my bookmarks, cookies for online banking, passwords etc. I never lost them like I thought I should. Could use a couple of ideas if any one has one.
Thanks

Re: firefox 3.0.1 add ons

Posted: Thu Sep 11, 2008 3:35
by wolfden
uninstalling doesn't remove the firefox profile folder

Re: firefox 3.0.1 add ons

Posted: Thu Sep 11, 2008 9:16
by Darksurf
look for the "download embedded" plugin. its FF3 compatible and I use it. A lot of plugins aren't FF3 compatible yet. So your FF2 plugins you have wont' work unless they are updated, or some won't work at all due to them not having an updated version yet. The important ones work for FF3 though. All in one Sidebar, download status bar, Down them All, Flash got, Download Embedded, Foxy Proxy. I'm still waiting on inforss. its my favorite rss feed plugin.

More detail

Posted: Thu Sep 11, 2008 15:16
by carpenterguy
Thanks,
I tried "download emdedded" Same thing happens when I try other FF3 plugin.
Click on download button, in about 4 -5 min. the warning window pops up "you have chosen to install blah blah blah" option to cancel or install, click install.
The FF window with progress bar pops up, under the bar just says waiting. Like it is trying to connect, 5 min. later I get this error
Firefox could not install the file at
"https://addons.mozilla.org/en-US/firefo ... 0.5-fx.xpi
because: Download error -228"
This happens when I try to install any plugin. this is a clean install of 3.5. Everything works perfect except for this FF issue.
Think I need to go to "about:config" to fix, but not sure what to check .
Also is not a speed issue, quad with 4 gigs and dsl.

Re: More detail

Posted: Thu Sep 11, 2008 18:06
by dunsurfin
carpenterguy wrote: later I get this error
Firefox could not install the file at
"https://addons.mozilla.org/en-US/firefo ... 0.5-fx.xpi
because: Download error -228"
Have you tried a manual install of any of the extensions?

Re: firefox 3.0.1 add ons

Posted: Fri Sep 12, 2008 9:30
by Darksurf
hmm thats odd. I have it installed on my firefox. Of course the the link could be bad now, and not bad when I downloaded it. Actually I don't know if I upgraded
FF in Sabayon yet.... Its upgraded on my Vista Side...

I thought about manually installing extensions many of times. But to do that you would first have to download the plugin.. (using another browser, because firefox tries to install it instead of download it to the desktop) then open it with firefox. And then that may not even work. Ive never done it.

I've thought of looking for an app the may export plugins so you can keep an export if you have to reinstall. hmm. you may also want to see if it is FF3 compatible.
I thought it was, but I'm not sure now. Try this.

Fast Video Download 1.6.1
Works with:
* Firefox: 1.0 – 3.0.*

Re: firefox 3.0.1 add ons

Posted: Fri Sep 12, 2008 10:49
by dunsurfin
Darksurf wrote: I thought about manually installing extensions many of times. But to do that you would first have to download the plugin.. (using another browser, because firefox tries to install it instead of download it to the desktop) then open it with firefox.
Just right click on the download link and select save as.

I agree about Fast Video Download 1.6.1 - works very well on Firefox 3.0.1 (64 bit here).

been working on it

Posted: Fri Sep 12, 2008 15:14
by carpenterguy
Ifound this link, and have been working through it No joy yet, but may help others.
http://kb.mozillazine.org/Unable_to_ins ... _-_Firefox

I have also found this reply to the same question


There is an open bug report at Mozilla regarding this error message and so far there appears to be no definitive solution.

For some people it has been resolved by following the instructions for corrupt extension files at Unable to install add-ons

Others have had to create a new profile (Firefox stores user data and extensions in profiles)
Creating a new Firefox profile on Windows - MozillaZine Knowledge Base
If the new profile solves your problem you can then transfer some data such as bookmarks, passwords, cookies, personal dictionary, security certificates etc to the new profile. Do not copy the extensions, instead it is better to re-install them.
Transferring data to a new profile - MozillaZine Knowledge Base

For some even this does not work.

You could also try downloading the extension (right-click on the install option and choose Save Link As...), then use File > Open File... and point it to the file you just downloaded.

I have tried to modify profile folder as suggested with no luck, I deleted the mozila folder, then removed FF using spritz and did a clean install. Back where I started from. If I right click on the download and "save link as" recieve a download error.
Not life or death that I have the 2-3 add -ons I want, all else works fine. I will keep playing with it and hope a update comes along.